Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 575978

Summary: dev-java/oracle-jdk-bin-1.8.0.74: can't play videos with JavaFX
Product: Gentoo Linux Reporter: aditsu <aditsu>
Component: [OLD] JavaAssignee: Java team <java>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: test program (URL version)
test program (file version)

Description aditsu 2016-02-29 10:07:02 UTC
I tried to use JavaFX to play a video file, but got this error:

MediaException: UNKNOWN : com.sun.media.jfxmedia.MediaException: Could not create player!

It happens with every file I tried (except unsupported formats). The same code (with the same files) is working perfectly fine in windows.
Upon debugging, I found that a MediaError with code 265, name "ERROR_MEDIA_AUDIO_FORMAT_UNSUPPORTED", is internally reported in GSTMedia.init()

I tried a few different audio codecs, and even removed the audio completely, but still got the same error every time.
Comment 1 aditsu 2016-02-29 10:10:56 UTC
Created attachment 426966 [details]
test program (URL version)

Here is a simple program you can use for testing. The file I used is from http://download.oracle.com/otndocs/products/javafx/oow2010-2.flv (Oracle's own sample video). You could also try to load it directly from the URL, but that seems to freeze the program in my case.
Comment 2 aditsu 2016-02-29 10:16:13 UTC
Comment on attachment 426966 [details]
test program (URL version)

Oops, I uploaded the URL version by accident
Comment 3 aditsu 2016-02-29 10:17:29 UTC
Created attachment 426974 [details]
test program (file version)

This is the code I intended to upload the first time.
Comment 4 James Le Cuirot gentoo-dev 2016-02-29 10:22:38 UTC
As discussed on IRC, this is probably because we don't install the ffmpeg helper libraries. That's because they always lag too far behind the ffmpeg versions we have in the tree.

One option might be to force the helper libraries to use the system version anyway so it at least has a chance of working. On the other hand, that could possibly bring down the whole JVM.

The best solution would be to package OpenJFX so that we can properly link against our own ffmpeg but don't expect that in a hurry.

Thanks for the test program, that's very helpful.
Comment 5 aditsu 2016-02-29 10:32:13 UTC
Thanks, any solution would be fine, as long as it doesn't break other things. Just wanted to report this so we have a record. Let me know if I can help.
Comment 6 Larry the Git Cow gentoo-dev 2020-09-19 08:07:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a7faaad2f8c5312dfb8d6e539b5a7346652e98b

commit 6a7faaad2f8c5312dfb8d6e539b5a7346652e98b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:36:24 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:29 +0000

    dev-java/oracle-jdk-bin: remove last rited pkg
    
    Bug: https://bugs.gentoo.org/732630
    Bug: https://bugs.gentoo.org/717638
    Closes: https://bugs.gentoo.org/575978
    Closes: https://bugs.gentoo.org/686672
    Closes: https://bugs.gentoo.org/684306
    Closes: https://bugs.gentoo.org/692420
    Closes: https://bugs.gentoo.org/684120
    Closes: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/17594
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/oracle-jdk-bin/Manifest                   |  15 --
 .../oracle-jdk-bin/files/fontconfig.properties     | 161 -----------
 .../oracle-jdk-bin/files/oracle-jdk-bin-9.env.sh   |  16 --
 .../oracle-jdk-bin/files/oracle-jdk-bin.env.sh     |  16 --
 dev-java/oracle-jdk-bin/metadata.xml               |  16 --
 .../oracle-jdk-bin/oracle-jdk-bin-1.8.0.202.ebuild | 297 ---------------------
 .../oracle-jdk-bin/oracle-jdk-bin-11.0.2.ebuild    | 247 -----------------
 7 files changed, 768 deletions(-)